package com.seongjoo.aimsystem.guitar;

public class Guitar extends Instrument{
	
	private GuitarSpec spec;
	
	public Guitar(String serialNumber, double price, String builder,
			String model, String type, Wood backWood, Wood topWood,
			int numStrings){
		
		super(serialNumber, price);
		
		this.spec = new GuitarSpec(builder, 
				model, type, backWood, topWood, numStrings);
	}

	@Override
	public GuitarSpec getSpec() {
		return spec;
	}
}
